PETSc version 3.15.5
Fix/Edit manual page

# DMDANaturalToGlobalEnd

Maps values from the natural ordering global vector to a global vector in the PETSc DMDA ordering. Must be preceeded by DMDANaturalToGlobalBegin().

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDANaturalToGlobalEnd(DM da,Vec n,InsertMode mode,Vec g)

Neighbor-wise Collective on da

### Input Parameters

| da | - the distributed array context
| g | - the global vector in a natural ordering
| mode | - one of INSERT_VALUES or ADD_VALUES

### Output Parameter

| l | - the global values in the PETSc DMDA ordering

### Notes

The global and local vectors used here need not be the same as those obtained from DMCreateGlobalVector() and DMDACreateNaturalVector(), BUT they must have the same parallel data layout; they could, for example, be obtained with VecDuplicate() from the DMDA originating vectors.

### See Also

DMDAGlobalToNaturalBegin(), DMDAGlobalToNaturalEnd(), DMLocalToGlobalBegin(), DMDACreate2d(),
DMGlobalToLocalBegin(), DMGlobalToLocalEnd(), DMDACreateNaturalVector()

### Level

advanced

### Location

src/dm/impls/da/dagtol.c

### Examples

src/dm/tutorials/ex6.c.html
src/ksp/ksp/tutorials/ex71.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages